POST /clients/{client}/contacts

Associate a list of contacts

This endpoint allows you to add a list of contacts for the client

Operation ID: syncContacts
lock This endpoint requires a Bearer token in the Authorization header.

Path Parameters

Name Type Description
client required
path
string

ID of the Client

Request Body

Content-Type: application/json · Required fields: contact_ids

contact_ids array<integer> required

Responses

data object

Client model structure details

id string required read-only

ID of the Client

Example: 123

type string required read-only

Model type

client

Example: client

attributes object required
client_id integer

ID of the Client

Example: 123

client_uuid string (uuid)

UUID of the Client

Example: e632afe8-a1bf-4702-b5bd-b1163861ba51

name string

Client Name

Example: John Doe

code string | null

Client Code

Example: JD

nif string | null

NIF/ VAT Number of the Client

Example: 1234566789

postal_code string | null

Postal Code of the Client

Example: 1234-567

city string | null

City of the Client

Example: Lisbon

observations string | null

Additional information

Example: abc

address string | null

Address of the Client

Example: abc

country string | null

Country of the Client

Example: PT

created_at string (date-time) read-only

The datetime of the creation of the Client

Example: 2020-12-03T12:45:00

updated_at string (date-time) read-only

The datetime of the last update of the Client

Example: 2020-12-03T12:45:00

has_handshake boolean

Indicates if this Client is "connected" to work on Infraspeak Network.

Example: 1

my_company boolean

Indicates whether it is the entity's default client

Example: 1

relationships object

The relationships of the Client (Only present when expanded in the request)

buildings object

The Buildings associated to the Client

contacts object

The Contacts associated to the Client

files object

The Files associated to the Client

profilePicture object

The profile picture of the the Client

operators object

The Operators associated to the Client

handshake object

The Handshake associated to the Client

status string
error
error object
properties object

Only present when related to property validation error

dev_message string

Example: Property validation error. Check the "properties" section in the response.

http_code integer
400
message string

Example: Property validation error.

more_info string
status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
404
message string

Example: Resource not found

more_info string | null
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string